Amazon Linux 2:bind (ALAS-2021-1614)

high Nessus 插件 ID 147913
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程 Amazon Linux 2 主机缺少安全更新。

描述

远程主机上安装的 bind 版本低于 9.11.4-26.P2。因此,该操作系统受到 ALAS2-2021-1614 公告中提及的漏洞的影响。

- 如果 BIND 服务器运行受影响的版本且配置为使用 GSS-TSIG 功能,就容易受到攻击。在使用 BIND 默认设置的配置中,容易受到攻击的代码路径不会暴露,但是可以通过显式设置 tkey-gssapi-keytab 或 tkey-gssapi-credentialconfiguration 选项的有效值,使服务器容易受到攻击。尽管默认配置不易受到攻击,但 GSS-TSIG 经常用于 BIND 与 Samba 集成的网络中,以及将 BIND 服务器与 Active Directory 域控制器相结合的混合服务器环境中。成功利用此漏洞最可能的结果是导致 named 进程崩溃。但是尽管未经验证,在理论上还可能发生远程代码执行。影响:BIND 9.5.0 -> 9.11.27、9.12.0 -> 9.16.11 以及 BIND Supported Preview Edition 的 BIND 版本 9.11.3-S1 -> 9.11.27-S1 和 9.16.8-S1 -> 9.16.11-S1。
还会影响 BIND 9.17 开发分支的发行版本 9.17.0 -> 9.17.1 (CVE-2020-8625)

请注意,Nessus 尚未测试此问题,而是只依赖于应用程序自我报告的版本号。

解决方案

运行“yum update bind”以更新系统。

另见

https://alas.aws.amazon.com/AL2/ALAS-2021-1614.html

https://access.redhat.com/security/cve/CVE-2020-8625

插件详情

严重性: High

ID: 147913

文件名: al2_ALAS-2021-1614.nasl

版本: 1.2

类型: local

代理: unix

发布时间: 2021/3/19

最近更新时间: 2021/3/19

依存关系: ssh_get_info.nasl

风险信息

CVSS 分数来源: CVE-2020-8625

VPR

风险因素: High

分数: 7.4

CVSS v2

风险因素: Medium

基本分数: 6.8

时间分数: 5

矢量: AV:N/AC:M/Au:N/C:P/I:P/A:P

时间矢量: E:U/RL:OF/RC:C

CVSS v3

风险因素: High

基本分数: 8.1

时间分数: 7.1

矢量: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:amazon:linux:bind, p-cpe:/a:amazon:linux:bind-chroot, p-cpe:/a:amazon:linux:bind-debuginfo, p-cpe:/a:amazon:linux:bind-devel, p-cpe:/a:amazon:linux:bind-export-devel, p-cpe:/a:amazon:linux:bind-export-libs, p-cpe:/a:amazon:linux:bind-libs, p-cpe:/a:amazon:linux:bind-libs-lite, p-cpe:/a:amazon:linux:bind-license, p-cpe:/a:amazon:linux:bind-lite-devel, p-cpe:/a:amazon:linux:bind-pkcs11, p-cpe:/a:amazon:linux:bind-pkcs11-devel, p-cpe:/a:amazon:linux:bind-pkcs11-libs, p-cpe:/a:amazon:linux:bind-pkcs11-utils, p-cpe:/a:amazon:linux:bind-sdb, p-cpe:/a:amazon:linux:bind-sdb-chroot, p-cpe:/a:amazon:linux:bind-utils, cpe:/o:amazon:linux:2

必需的 KB 项: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

易利用性: No known exploits are available

补丁发布日期: 2021/3/18

漏洞发布日期: 2021/2/17

参考资料信息

CVE: CVE-2020-8625

ALAS: 2021-1614